<?php  
$wp_customize->add_section(
    'peccular_gallery_section',
    array(
        'title' => __( 'Gallery', 'peccular' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>26
    )
);

$wp_customize->add_setting('peccular_gallery_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_gallery_nav', array(
       'section' => 'peccular_gallery_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_gallery_enable', 
                'peccular_gallery_headImg_display',
                'peccular_gallery_maintitle',
                'peccular_gallery_subtitle',
                'peccular_gallery_area_lbl', 
                'peccular_gallery_number_lbl',  
                'peccular_gallery_number',
                'peccular_gallery_heading1',
                'peccular_gallery_page1',
                'peccular_gallery_heading2',
                'peccular_gallery_page2',
                'peccular_gallery_heading3',
                'peccular_gallery_page3',
                'peccular_gallery_heading4',
                'peccular_gallery_page4',
                'peccular_gallery_heading5',
                'peccular_gallery_page5',
                'peccular_gallery_heading6',
                'peccular_gallery_page6',
                'peccular_gallery_heading7',
                'peccular_gallery_page7',
                'peccular_gallery_heading8',
                'peccular_gallery_page8',
                'peccular_gallery_heading9',
                'peccular_gallery_page9',
                'peccular_gallery_heading10',
                'peccular_gallery_page10',
                'peccular_gallery_heading11',
                'peccular_gallery_page11',
                'peccular_gallery_heading12',
                'peccular_gallery_page12'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_gallery_section_bg_color',
                'peccular_gallery_section_bg_image',
                'peccular_gallery_image_opacity',                           
                'peccular_gallery_title_case',
                'peccular_gallery_head_align',
                'peccular_gallery_content_align',
                'peccular_gallery_onload_effects',
                'peccular_gallery_heading_color',
                'peccular_gallery_title_color',
                'peccular_gallery_img_overlay_color'       
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_gallery_padding',
                'peccular_gallery_section_t_padding',
                'peccular_gallery_section_b_padding',
                'peccular_gallery_section_width',
                'peccular_gallery_post_image_height'
            ),
         )
        ),
    )));


$wp_customize->add_setting( 'peccular_gallery_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_gallery_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_gallery_section'
)));

$wp_customize->add_setting(
    'peccular_gallery_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Gallery', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_gallery_maintitle',
    array(
        'settings'      => 'peccular_gallery_maintitle',
        'section'       => 'peccular_gallery_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);


$GallerySingleChoice[] = 'select';
if(!is_array($GallerySingleChoice)){
    $wp_customize->add_setting('peccular_gallery_area_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
        new peccular_Info_Text( 
            $wp_customize,
            'peccular_gallery_area_lbl',
            array(
                'settings'      => 'peccular_gallery_area_lbl',
                'section'       => 'peccular_gallery_section',
                'label'         => __( 'Note:', 'peccular Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the gallery.</strong> <br/>Please add the gallery from "gallery menu" and then select gallery to show information.', 'peccular Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('peccular_gallery_number_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_gallery_number_lbl',
        array(
            'settings'      => 'peccular_gallery_number_lbl',
            'section'       => 'peccular_gallery_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Just place the shortcode "[GALLERY]" in your page to list the gallery in a page ', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_setting('peccular_gallery_number',array('sanitize_callback' => 'peccular_sanitize_text','default' => 5));
$wp_customize->add_control(
    'peccular_gallery_number',
    array(
        'settings'      => 'peccular_gallery_number',
        'section'       => 'peccular_gallery_section',
        'type'          => 'select',
        'label'         => __( 'Number Of Image To Show', 'peccular-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//gallery PAGES
for( $i = 1; $i<= 12; $i++ ){
    $wp_customize->add_setting(
        'peccular_gallery_heading'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_gallery_heading'.$i,
            array(
                'settings'      => 'peccular_gallery_heading'.$i,
                'section'       => 'peccular_gallery_section',
                'label'         => __( 'Image ', 'peccular Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'peccular_gallery_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'peccular_gallery_page'.$i,
        array(
            'settings'      => 'peccular_gallery_page'.$i,
            'section'       => 'peccular_gallery_section',
            'type'=> 'select',
            'label'         => __( 'Select A Image', 'peccular Premium' ),
            'choices' => $GallerySingleChoice,
        )
    );
}


$wp_customize->add_setting( 'peccular_gallery_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_gallery_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_gallery_section',
    )));

    $wp_customize->add_setting( 'peccular_gallery_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_gallery_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_gallery_section',
    )));


     $wp_customize->add_setting('peccular_gallery_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_gallery_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_gallery_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));
    
    $wp_customize->add_setting('peccular_gallery_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_gallery_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_gallery_section',
    ));

    $wp_customize->add_setting('peccular_gallery_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_gallery_head_align',array(
        'type' => 'select',
        'label' => __('Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_gallery_section',
    ));

      $wp_customize->add_setting('peccular_gallery_title_case',array(
        'default' => 'Capitalize',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_gallery_title_case',array(
        'type' => 'select',
        'label' => __('Gallery Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')

        ),
        'section' => 'peccular_gallery_section',
    ));

    $wp_customize->add_setting('peccular_gallery_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_gallery_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_gallery_section'
   ));

    $wp_customize->add_setting('peccular_gallery_section_t_padding',array(
        'default' => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_gallery_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_gallery_section',
    ));
     $wp_customize->add_setting('peccular_gallery_section_b_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_gallery_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_gallery_section',
    ));

$wp_customize->add_setting('peccular_gallery_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_gallery_onload_effects',array(
        'type' => 'select',
        'label' => __('Section Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_gallery_section',
    ));

$wp_customize->add_setting('peccular_gallery_post_image_height',array(
        'default' => 335,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_gallery_post_image_height',array(
    'label' => __('Gallery Image Height','peccular'),
    'section' => 'peccular_gallery_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1000,
            'step' => 1,
        ),
    )));

addColorPalatOption($wp_customize, 'peccular_gallery_heading_color', 'peccular_gallery_section', 'Section Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_gallery_title_color', 'peccular_gallery_section', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_gallery_img_overlay_color', 'peccular_gallery_section', 'Image Overlay Color', '');
 ?>